Bug 355111 - /var/log cleared -> httpd won't start.
Summary: /var/log cleared -> httpd won't start.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-27 09:55 UTC by Matthias R. Wiora
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 09:50:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias R. Wiora 2007-10-27 09:55:57 UTC
I've cleared the log-file folder /var/log. Next reboot httpd did not start. If 
I had created /var/log/httpd, the service ran fine again.

solution:
Input a short command in the httpd, script. if the folder don't exist, let the 
script create it.

greetz µatthias

steps to reproduce:
delete the Folder /var/log/httpd and restart /etc/init.d/httpd

Comment 1 Joe Orton 2007-10-29 09:50:23 UTC
This is expected behaviour.


Note You need to log in before you can comment on or make changes to this bug.